View Level3 Item

API Explorer
loading...
GET
/v2/L3Data/ViewLevel3Item

Retrieves a Level 3 line item from a transaction. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.

Query Parameters

request.lineItemNumber*integer

Indicates the line item number.

Formatint32
request.authCode?string

Authorization code provided by payment processor.

request.paymentType*string

Indicates electronic data capture (EDC) type.

Value in"Credit" | "Debit" | "EBT_Food" | "EBT_Cash" | "Card" | "Cash" | "Check" | "Gift"
request.referenceId*string

Alphanumeric SPIn transaction identifier. Has to be unique within one batch.

Length1 <= length <= 50
request.printReceipt?string

Indicates if any of receipt copies should be printed after the transaction.

Value in"No" | "Both" | "Merchant" | "Customer"
request.getReceipt?string

Indicates if any of receipt copies should be returned in response.

Value in"No" | "Both" | "Merchant" | "Customer"
request.merchantNumber?integer

Merchant number for multi-merchant environment. If not present in multi-merchant environment, transaction will be cancelled.

Formatint32
Range1 <= value <= 5
request.invoiceNumber?string

Unique alphanumeric invoice number.

Lengthlength <= 50
request.captureSignature?boolean

Indicates whether customer signature should be captured or not in course of transaction.

request.getExtendedData?boolean

Indicates whether extended transaction data should be returned or not.

request.isReadyForIS?boolean

Indicates whether register is ready to receive intermediate status or not.

request.callbackInfo.url?string

Url of the callback receiver.

request.reconId?string

Used for reconciliation purposes. This field is applicable only for Fiserv North transactions and it is optional. It contains an alphanumeric reference ID that links the transaction to its corresponding settlement record in Fiserv.

Length1 <= length <= 10
request.isvId?string

This is the unique identifier generated by iPOSpays for each ISV. It must be sent to associate the transaction and the merchant with the corresponding ISV.

Length1 <= length <= 16
request.tpn?string

Terminal profile number. Can be used to identify the terminal in SPIn Proxy environment. Required if no RegisterId.

Length10 <= length <= 12
request.registerId?string

Terminal identifier for register. [Obsolete] Can be used to identify the terminal instead of Tpn in SPIn Proxy environment. Required if no Tpn.

Length2 <= length <= 50
request.authkey?string

Merchant's authorization password. Required if no SPInToken.

Length10 <= length <= 10
request.sPInProxyTimeout?integer

Timeout for processing transaction with SPIn proxy. If null, the default timeout will be used.

Formatint32
Range1 <= value <= 720
request.customFields?

A collection of custom fields in key-value format. Numeric fields must contain a decimal point. For example: "CustomFee": 1.0 or "CustomFee": 1.00 or "CustomFee": "1.00"

Response Body

application/json

application/json

curl -X GET "https://example.com/v2/L3Data/ViewLevel3Item?request.lineItemNumber=0&request.paymentType=Credit&request.referenceId=string"
{
  "AuthCode": "",
  "ReferenceId": "",
  "LineItemCount": null,
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}
{
  "GeneralResponse": {
    "ResultCode": "0",
    "StatusCode": "0000",
    "Message": "",
    "DetailedMessage": "",
    "DelayBeforeNextRequest": null
  }
}